List Webhook Subscriptions
curl --request GET \
--url https://api.catenatelematics.com/v2/notifications/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/notifications/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/notifications/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/notifications/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/notifications/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/notifications/webhooks")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/notifications/webhooks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/notifications/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<unknown>",
"event_name": "document.added",
"secret": "<unknown>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"webhook_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {
"fleet_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"fleet_refs": [
"<string>"
],
"content": {}
}
}
],
"total": 1,
"current_page": "<string>",
"current_page_backwards": "<string>",
"previous_page": "<string>",
"next_page": "<string>"
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Webhook Subscriptions
List Webhook Subscriptions
Get a paginated list of webhooks for your organization.
GET
/
v2
/
notifications
/
webhooks
List Webhook Subscriptions
curl --request GET \
--url https://api.catenatelematics.com/v2/notifications/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/notifications/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/notifications/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/notifications/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/notifications/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/notifications/webhooks")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/notifications/webhooks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/notifications/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<unknown>",
"event_name": "document.added",
"secret": "<unknown>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"webhook_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {
"fleet_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"fleet_refs": [
"<string>"
],
"content": {}
}
}
],
"total": 1,
"current_page": "<string>",
"current_page_backwards": "<string>",
"previous_page": "<string>",
"next_page": "<string>"
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Enum for webhook events
We need this list to be extensive and specific to avoid customers subscribing to events that don't exist or are not supported.
Available options:
document.added, document.modified, document.*, dvir_log.added, dvir_log.modified, dvir_log.removed, dvir_log.*, driver_safety_event.added, driver_safety_event.modified, driver_safety_event.removed, driver_safety_event.*, driver_vehicle_association.added, driver_vehicle_association.modified, driver_vehicle_association.*, trailer_vehicle_association.added, trailer_vehicle_association.modified, trailer_vehicle_association.*, invitation.created, invitation.rejected, invitation.declined, invitation.viewed, invitation.sent, invitation.accepted, invitation.expired, invitation.deleted, invitation.*, connection.created, connection.staled, connection.*, fleet_connection.created, fleet_connection.*, fleet_info.added, fleet_info.modified, fleet_info.removed, fleet_info.*, share_agreement.created, share_agreement.updated, share_agreement.deleted, share_agreement.*, webhook.created, webhook.updated, webhook.deleted, webhook.staled, webhook.activated, webhook.paused, webhook.*, workflow.added, workflow.modified, workflow.removed, workflow.*, tsp.created, tsp.requested, vehicle.added, vehicle.modified, vehicle.removed, vehicle.*, trailer.added, trailer.modified, trailer.removed, trailer.*, trailer_location.added, trailer_location.modified, trailer_location.*, trailer_status.added, trailer_status.modified, trailer_status.*, execution.created, execution.staled, execution.failed, execution.*, schedule.deactivated, schedule.*, user.added, user.modified, user.removed, user.*, vehicle_location.added, vehicle_location.*, ifta_summary.added, ifta_summary.modified, ifta_summary.removed, ifta_summary.*, hos_availability.added, hos_availability.modified, hos_availability.removed, hos_availability.*, hos_daily_log.added, hos_daily_log.modified, hos_daily_log.*, hos_daily_snapshot.added, hos_daily_snapshot.modified, hos_daily_snapshot.removed, hos_daily_snapshot.*, hos_event.added, hos_event.modified, hos_event.removed, hos_event.*, hos_violation.added, hos_violation.modified, hos_violation.removed, hos_violation.*, engine_log.added, engine_log.modified, engine_log.removed, engine_log.*, engine_status.added, engine_status.modified, engine_status.*, group_message.added, group_message.modified, group_message.*, message.added, message.modified, message.*, fuel_transaction.added, fuel_transaction.modified, fuel_transaction.*, geofence_monitor.created, geofence_monitor.departed, geofence_monitor.arrived, geofence_monitor.completed, geofence_monitor.cancelled, geofence_monitor.expired, geofence_monitor.*, resource_operation.created, resource_operation.succeeded, resource_operation.failed, resource_operation.* Enum for webhook status
Available options:
active, paused, stale, deleted Enum for webhook list sortable fields
Available options:
created_at, updated_at, status Enum for sort direction shared across paginated list endpoints
Available options:
asc, desc Cursor for the next page
Page size
Required range:
1 <= x <= 1000Response
Successful Response
Show child attributes
Show child attributes
Required range:
x >= 0Cursor to refetch the current page
Cursor to refetch the current page starting from the last item
Cursor for the previous page
Cursor for the next page
Was this page helpful?